[gnome-continuous-yocto/gnomeostree-3.28-rocko: 1751/8267] lzo: update ptest output format



commit 07d9c3a41dc523ffc4146a92119c30f7cba0754d
Author: mingli yu windriver com <mingli yu windriver com>
Date:   Wed Aug 3 17:22:57 2016 +0800

    lzo: update ptest output format
    
    The output format was updated to match yocto ptest rules:
    <result>: <testname>
    where the result can be PASS, FAIL, or SKIP, and the testname
    can be any identifying string.
    
    (From OE-Core rev: 5d09bfbeb898306298af1073d5d3d7512403b99c)
    
    Signed-off-by: Li Wang <li wang windriver com>
    Signed-off-by: Mingli Yu <mingli yu windriver com>
    Signed-off-by: Ross Burton <ross burton intel com>
    Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>

 meta/recipes-support/lzo/lzo/run-ptest |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)
---
diff --git a/meta/recipes-support/lzo/lzo/run-ptest b/meta/recipes-support/lzo/lzo/run-ptest
index 2ea7745..6acb89f 100644
--- a/meta/recipes-support/lzo/lzo/run-ptest
+++ b/meta/recipes-support/lzo/lzo/run-ptest
@@ -1,8 +1,33 @@
 #!/bin/sh
 
 ./lzotest -mavail -n10 -q /etc/services
+if [ $? -eq 0 ]; then
+  echo 'PASS: lzotest'
+else
+  echo 'FAIL: lzotest'
+fi
 LZOTEST=./lzotest /bin/sh -e "./check.sh" "/etc"
 ./align
+if [ $? -eq 0 ]; then
+  echo 'PASS: align'
+else
+  echo 'FAIL: align'
+fi
 ./chksum
+if [ $? -eq 0 ]; then
+  echo 'PASS: chksum'
+else
+  echo 'FAIL: chksum'
+fi
 ./simple
+if [ $? -eq 0 ]; then
+  echo 'PASS: simple'
+else
+  echo 'FAIL: simple'
+fi
 ./testmini
+if [ $? -eq 0 ]; then
+  echo 'PASS: testmini'
+else
+  echo 'FAIL: testmini'
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]